- Home
- API Enriched
- Statistics
- web
- List
List
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/catalogs';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"use_case_filter":"example","workspace_filter":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/catalogs \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "use_case_filter": "example", "workspace_filter": "example" }'Retrieves service catalog tailor for the currently logged-in user.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”List request message. Includes optional filter.
object
Exclusive with [workspace_filter] Filter by use case name. If empty, all use cases are returned.
Exclusive with [use_case_filter] Filter by workspace name. If empty, all workspaces are returned. The use case response field will contain the use case of the workspace and no other use cases.
Examplegenerated
{ "use_case_filter": "example", "workspace_filter": "example"}Responses
Section titled “Responses”A successful response.
Response message for list request.
object
List of Addon Services. The key is the addon service name.
object
List of result services (addons). The key is the service name.
object
List of system management tiles. The key is the workspace name.
object
List of result use cases. The key is the use case name.
object
List of result tiles (workspaces). The key is the workspace name.
object
Examplegenerated
{ "addon_services": {}, "services": {}, "system_management": {}, "use_cases": {}, "workspaces": {}}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example